Subject: bug#17401: 24.4.50; Narrow to {region,page,defun} in an indirect clone buffer in the other window

From: Josh <[email-masked]>
Date: Sat, 10 May 2014 13:57:43 -0700

On Sat, May 10, 2014 at 6:06 AM, Phil Sainty <[email-masked]> wrote:
> I've also noticed there are some org-mode specific narrowing
> commands as well, which should probably be supported. I did
> consider whether we could support all existing narrowing commands
> automagically with some trickery, but I concluded that the only
> approach I could think of was too convoluted and brittle for its
> own good, so I think simply adding a new function alongside each
> existing one is still the most practical way to go.
>
> Do we want both a `narrow-to-*-indirect' and an `...-other-window'
> variant for each case? I think the latter works very nicely with
> the C-x 4 n prefix (as per the initial patch), but I can see the
> utility in providing both functions.

What about doing something like `append-next-kill', for example a
new `next-narrow-indirect' command bound to `C-x n i'?